Hp Bilgisayar ve Pardus19.2 de Wifi Sorunu

Windowsu silip pardus 19.2 kurdum.
Kablolu ağlara ve bluetootha sorunsuz bağlanıyor. Fakat wifi ağlarını görmüyor , manuel eklediklerime bağlanmıyor. wpa_gui , wicd ve wifi-radar paketlerini denedim fakat işe yaramadı. Benim sorunumu sabırla çözmenizi bekliyorum. Saygılar.

hocam wifi bağdaştırıcınız nedir? Bunu öğrenmemiz gerekiyor.

Lütfen başlatdan terminali açın terminale

lspci

yazın çıkan verileri burada paylaşın.

00:00.0 Host bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series SoC Transaction Register (rev 35)

00:02.0 VGA compatible controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 35)
00:0b.0 Signal processing controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series Power Management Controller (rev 35)
00:13.0 SATA controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series SATA Controller (rev 35)
00:14.0 USB controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series USB xHCI Controller (rev 35)
00:1a.0 Encryption controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series Trusted Execution Engine (rev 35)
00:1b.0 Audio device: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series High Definition Audio Controller (rev 35)
00:1c.0 PCI bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCI Express Port #1 (rev 35)
00:1c.2 PCI bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCI Express Port #3 (rev 35)
00:1c.3 PCI bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCI Express Port #4 (rev 35)
00:1f.0 ISA bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCU (rev 35)
00:1f.3 SMBus: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx SMBus Controller (rev 35)
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723DE 802.11b/g/n PCIe Adapter
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)

Hocam bazı wifi driverları kernel içerisinde gelmiyor. O yüzden onları kurmamız gerekiyor. Sizin wifi chipsetiniz realtek 8723de .

verdiğim linkteki yolları izleyerek kurabilirsiniz.

1 Beğeni

Tamam sağolun deneyeceğim.

Denedim fakat hala bağlayamadım. Hata vermedi ama yine de bağlanmadı. (Bilgisayarı yeniden başlattım.)

Aynı kart bende de var rtl8723 de. Çok yöntem denedim ve birçoğu ile bağlanmayı başarabildim. Ancak çoğunda uzun kullanımda hatalar aldım. Şu anda en güncel çözümü aktarıyorum ve bunu uygulayarak herhangi bir sorun yaşamadan kullanıyorum.Konsol açıp aşağıdaki işlemleri uygulayın lütfen.

Öncelikle sürücüyü indirip inşa edebilmek için gerekli paketleri kuralım;

sudo apt install linux-headers-amd64 build-essential git dkms

Yanılmıyorsam geçici dosyaların tutulduğu klasör olam tmp dizinine girelim;

cd /tmp

Ardından sürücümüzü içeren dosyaları karşıdan yükleyelim;

git clone -b extended --single-branch https://github.com/lwfinger/rtlwifi_new.git

İndirdiğimiz hedef dizine girelim;

cd rtlwifi_new

Ve ekleyelim;

sudo dkms add ../rtlwifi_new

İnşa edelim;

sudo dkms build rtlwifi-new/0.6

Mevçut çekirdek için kuralım;

sudo dkms install rtlwifi-new/0.6

Sinyal seviyesini ayarlayalım;

sudo /bin/sh -c 'echo "options rtl8723de ant_sel=4" > /etc/modprobe.d/rtl8723de.conf'

(Kaynakta sinyal seviyesi 2 olarak belirtilmiş ancak benim donanımımda en yüksek sinyali 4 değerini girerek elde ettiğim için 4 yazdım. Ayrıca maksimum yazabileceğiniz rakam 4’tür)

Laptoplarda bu komutun da uygulanması tavsiye edilmiştir;

sudo modprobe -v rtl8723de ant_sel=4

İşlemlerin ardından bilgisayarımızı yeniden başlatalım ve kablosuz ağları kullanmaya başlayabiliriz.

Kaynak: https://tutorialforlinux.com/2020/02/21/step-by-step-ubuntu-20-04-realtek-rtl8723de-driver-installation-guide/2/

3 Beğeni

İlk komutta hata verdi:
linux-headers-generic paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘linux-headers-generic’ paketi için kurulum adayı yok

Kusura bakmayın hatalı yazmışım sanırım tekrar düzenledim. Tekrar deneyebilir misiniz ilk komuttan?

Peki benimkinde en yüksek sinyali nasıl elde ederim?
4 mü yazmalıyım yoksa 2 mi?

İlk olarak 4 ile deneyin eğer sorun yaşarsanız 3 veya 2 ile deneyin. Hangisi başarılı olursa. Kablus ağları görmek istediğinizde liste tatminkarsa çok da uğraşmaya gerek yok. Bu arada işe yaradı mı?

Çok Teşekkürler.
Bağlantı başarılı.

Rica ederim güle güle kullanın. :smiley:

Üstadım donanım aynı herşeyi aynen uyguladım. En son yazdığınız sinyal denemesi de dahil. fakat laptop u yeniden başlatınca kablosuz ağ başlığının altında “aygıt hazır değil” yazıyor :frowning: yardım edebilir misiniz?

sudo modprobe -r rtl8723de
sudo modprobe rtl8723de

Bu komutları deneyip yeniden başlatabilir misiniz?

Arkadaşlar ben buradaki yöntemleri deneyerek daha önce kurdum fakat bir zorunluluktan ötürü pardusu yeniden yüklediğimde build-essential linux-headers-amd64 git dkms paketlerini yükleyemedim. Şöyle bir hata ile karşılaştım:

git paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: linux-headers-generic paketi bulunamadı
E: build-essential paketi bulunamadı
E: 'git' paketi için kurulum adayı yok
E: dkms paketi bulunamadı

Depolarınızda veya bağlantılarınızda bir probleminiz mi var acaba? Başka paket kurabiliyor musunuz?

rtlwifi_new klasörünü git ten klonladım fakat make komutu çalışmadı. Hata verdi.


Şu an git ve linux-headers-amd64 paketlerini kurmayı başardım. Ama dkms ve build-essential paketlerini kuramadım. Hata verdi. karşılanmamış bağımlılıklara sahip olduğunu söyledi.

Aldığınız hatayı forumda aratınca paket sistemini bozan kullanıcıların açtığı başlıklar çıkıyor acaba başka depolar repolar ekleyip paket sisteminizi bozmuş olma durumunuz var mı? Çünkü hata aldığınız nokta yalnızca depodan paket kurma kısmı.

Acaba Pardus u sıfırdan tekrar kursam olur mu? Çünkü zaten yeni bir şey yükledim sayılmaz.
Belki yol açtığım bozukluk giderilir. Tabii varsa.

Ha bu arada repoları kontrol ettim. Kali araçlarını kurmak için kullndığım bir uygulama kali paket deposunu eklemişti. Onu söylemem gerek.

© 2020 TÜBİTAK